Skip to main content
POST
/
api
/
v2
/
ethereum
/
slot
/
sync-committee-duties
Rewards
curl --request POST \
  --url https://beaconcha.in/api/v2/ethereum/slot/sync-committee-duties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "slot": {
    "number": 2375680
  },
  "chain": "mainnet"
}
'
{
  "data": [
    {
      "validator": {
        "index": 1,
        "public_key": "<string>"
      },
      "status": "success",
      "finality": "not_finalized",
      "reward": {
        "total": "<string>",
        "reward": "<string>",
        "penalty": "<string>",
        "missed_reward": "<string>"
      }
    }
  ],
  "paging": {
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.beaconcha.in/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authorization header with value: Bearer YOUR_TOKEN. Refer to the API Keys section to create your API key.

Body

application/json

validator is optional in this request body

Specify a slot using one of the slot number. Selecting by a consensus view may soon be available in a future update.

slot
Number ยท object
required
chain
enum<string>
default:mainnet
required

The Ethereum chain to query.

Available options:
mainnet,
hoodi
cursor
string
default:""

Cursor value for pagination. See our pagination guide for more details.

page_size
integer
default:10

The number of items to return per page.

Required range: 1 <= x <= 10
validator
Indices/Pubkeys ยท object

validator is optional in this request body. If not provided, results will be unfiltered.

Response

Successful response.

Response containing detailed information about past or future sync committee duties.

data
object[]
required
paging
object